import 'package:flutter/material.dart';

import 'package:pweb/app/router/pages.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class ProfileSettingsTile extends StatelessWidget {
  const ProfileSettingsTile({
    super.key,
  });

  @override
  Widget build(BuildContext context) => ListTile(
    leading: const Icon(Icons.settings),
    title: Text(AppLocalizations.of(context)!.navigationAccountSettings),
    onTap: () => navigateNamed(context, Pages.profile),
  );
}